package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.dto.Sku;
import com.caimei365.commodity.model.vo.MallOrganizeProductVo;
import com.caimei365.commodity.model.vo.MallProductSkuVo;
import com.caimei365.commodity.model.vo.ProductDetailVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/5/11
 */
@Mapper
public interface MallProductMapper {
    /**
     * 外部商城 商品详情
     * @param productId
     * @return
     */
    MallOrganizeProductVo getOrganizeProductDetails(@Param("productId") Integer productId);

    /**
     * 商品sku信息
     * @return
     */
    List<Sku> getMallSkus(@Param("mallProductId") Integer mallProductId);
}
