package com.caimei365.commodity.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/23
 */
@Data
public class FeaturedDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 商品Id
     */
    @ApiModelProperty("供应商Id")
    private Integer shopId;
    /**
     * 商品Id
     */
    @ApiModelProperty("商品Id")
    private Integer productId;
    /**
     * 供应商主推商品标志 0删除 1添加
     */
    @ApiModelProperty("供应商主推商品标志 0删除 1添加")
    private Integer featuredFlag;
}
