package com.caimei365.commodity.model.po;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class AnnouncementPo {

    private int id;
    //标题
    private String title;
    //内容
    private String capacity;
    //状态1为上线2为下线
    private String state;
    //创建时间
    @JsonFormat(pattern = "yyyy年MM月dd日")
    private Date creationtime;
    //上线时间
    @JsonFormat(pattern = "yyyy年MM月dd日")
    private Date livetime;
    //下线时间
    @JsonFormat(pattern = "yyyy年MM月dd日")
    private Date  offlinetime;

}
