package com.caimei365.commodity.model.po;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/8/12
 */
@Data
public class CouponRedemptionCodePo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 优惠券id
     */
    private Integer couponId;

    /**
     * 用户关联优惠券id(对应cm_coupon_club)
     */
    private Integer clubCouponId;

    /**
     * 兑换码(16位)
     */
    private String redemptionCode;

    /**
     * 兑换状态：1未兑换 2已兑换
     */
    private Integer status;

    /**
     * 兑换时间
     */
    private Date redemptionTime;

    /**
     * 添加时间
     */
    private Date addTime;
}
