package com.caimei365.commodity.model.po;

import lombok.Data;
import lombok.ToString;
import nonapi.io.github.classgraph.json.Id;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/25
 */
@Document(collection = "procureCollection")
@Data
@ToString
public class ProcurePo {
    /**
     * id
     */
    @Id
    private String id;
    /**
     * 发布人Id
     */
    private String userId;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 期望单价
     */
    private String price;
    /**
     * 购买数量
     */
    private String number;
    /**
     * 创建时间
     */
    private Long saveTime;
    /**
     * 创建人Id
     */
    private String createUserId;
    /**
     * 是否实现 0 未实现 1 以实现
     */
    private String isAchieve;
    /**
     * 是否删除 0 未删除 其他删除
     */
    private String delFlag;
    /**
     * 机构名称
     */
    private String clubName;
    /**
     *
     */
    private Integer isInvolved;
}
