package com.caimei365.commodity.model.search;

import lombok.Data;

import java.io.Serializable;


/**
 * 文章容错搜索(数据库)
 *
 * @author : Asle
 * @date : 2021/3/17
 */
@Data
public class DbArticleDO implements Serializable {
    /** 文章ID */
    private Integer a_id;
    /** 查询全部标志 */
    private Integer a_all;
    /** 文章标题 */
    private String a_title;
    /** 文章主图 */
    private String a_image;
    /** 文章作者 */
    private String a_publisher;
    /** 发布日期 */
    private String a_publish_date;
    /** 文章摘要 */
    private String a_intro;
    /** 文章内容 */
    private String a_content;
    /** 浏览量 */
    private Integer a_pv;
    /** 信息分类Id */
    private Integer a_type_id;
    /** 信息分类文本 */
    private String a_type_text;
    /** 优先级 */
    private Integer a_sort;
    /** 标签 */
    private String a_label;
    /** 标签 id数组 */
    private String a_label_ids;
    /** 标签 文本数组 */
    private String a_label_text;

    private static final long serialVersionUID = 1L;
}
