package com.caimei365.commodity.model.search;

import lombok.Data;

import java.io.Serializable;

/**
 * 主文档搜索
 *
 * @author : Charles
 * @date : 2020/5/19
 */
@Data
public class MainDO implements Serializable {
    private Integer id;
    /** 商品ID(阿里云表外键) */
    private Integer p_id;
    /** 供应商ID(阿里云表外键) */
    private Integer s_id;
    /** 项目仪器ID(阿里云表外键) */
    private Integer e_id;
    /** 文章ID(阿里云表外键) */
    private Integer a_id;

    private static final long serialVersionUID = 1L;
}
