package com.caimei365.commodity.model.search;

import lombok.Data;

import java.io.Serializable;

/**
 * 商品价格
 *
 * @author : Charles
 * @date : 2020/5/20
 */
@Data
public class MallProductDO implements Serializable {
    /** 星范ID */
    private Integer m_id;
    /** 查询全部标志 */
    private Integer m_all;
    /** 组织ID */
    private Integer m_organize_id;
    /** 商品ID */
    private Integer m_product_id;
    /** 星范价格（计算后） */
    private Double m_price;
    /** 星范小程序商品分类Id */
    private Integer m_classify_id;
    private String m_classify_name;
    /** 0 有效 其它无效 */
    private Integer m_valid;

    private static final long serialVersionUID = 1L;
}

