package com.caimei365.commodity.model.search;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 供应商搜索
 *
 * @author : Charles
 * @date : 2020/5/13
 */
@Data
public class SupplierDO implements Serializable {
    /** 商品shopID */
    private Integer s_id;
    /** 查询全部标志 */
    private Integer s_all;
    /** 名称name */
    private String s_name;
    /** 供应商logo */
    private String s_logo;
    /** 供应商牌照 */
    private String s_license;
    /** 经营品项 */
    private String s_business;
    /** 所在地区ID */
    private Integer s_town_id;
    /** 所在省市地址 */
    private String s_address;
    /** 默认排序 */
    private Integer s_sort;
    /** 供应商状态：90上线 or 9未缴纳保证金*/
    private Integer s_valid;
    /** 供应商下商品*/
    private List<ProductDO> products;

    private static final long serialVersionUID = 1L;
}
