package com.caimei365.commodity.model.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/9/9
 */
@ApiModel("资料内容")
@Data
public class ArchiveContentVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 资料内容id
     */
    private Integer archiveContentId;
    /**
     * 图片列表
     */
    private List<String> imageList;
    /**
     * 图片数量
     */
    private Integer imageNum;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 文件oss链接
     */
    private String fileUrl;
    /**
     * 文件oss链接
     */
    private String htmlUrl;
    /**
     * 资料标题
     */
    private String title;
    /**
     * 添加时间
     */
    private Date addTime;
}
