package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.po.ProductDetailInfoPo;
import com.caimei365.commodity.model.po.ProductImagePo;
import com.caimei365.commodity.model.po.ProductParameterPo;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/9/9
 */
@ApiModel("商品资料")
@Data
public class ArchiveVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 商品资料id
     */
    private Integer archiveId;
    /**
     * 商品productID
     */
    private Integer productId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 商品属性:1产品，2仪器
     */
    private Integer productType;
    /**
     * 跳转页面：1商品详情，2自定义页面
     */
    private Integer redirectType;
}
