package com.caimei365.commodity.model.vo;

import lombok.Data;

@Data
public class BaikeTextInfoVo {
    private Integer id;
    /**
     * 信息类型（1：定义；2：原理；3：特点；4：应用）
     */
    private Integer textType;
    /**
     * 目录内容
     */
    private String dictionaryContent;
    /**
     * 词条id
     */
    private Integer entryId;
    /**
     * 参考资料id
     */
    private Integer referenceId;
    /**
     * 父级id
     */
    private Integer parentId;
    /**
     * 目录类型（1：一级目录；2：二级目录；3：内容
     */
    private Integer dictionaryType;
}
