package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.po.ProductDetailInfoPo;
import lombok.Data;

import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/23
 */
@Data
public class HeheProductDetailsVo extends HeheProductVo {
    /**
     * 上架状态:1上架,2下架
     */
    private Integer validFlag;

    /**
     * 品牌id
     */
    private Integer brandId;

    /**
     * 一级分类ID
     */
    private Integer bigTypeId;

    /**
     * 二级分类ID
     */
    private Integer smallTypeId;

    /**
     * 三级分类Id
     */
    private Integer tinyTypeId;

    /**
     * 库存
     */
    private Integer stock;

    /**
     * 商品标签用英文逗号隔开，中文逗号或其它一律不作切割
     */
    private String tags;

    /**
     * 所在分类名称
     */
    private String typeName;

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * 标签数组
     */
    private String[] tagsList;

    /**
     * 所有商品图片
     */
    private List<String> imageList;

    /**
     * 商品详情
     */
    private ProductDetailInfoPo productDetail;

    /**
     * 相关参数
     */
/*    private List<RelatedParametersVo> parametersList;

    *//**
     * 活动阶梯
     *//*
    List<ActivityLadderVo> ladderList;*/

}
