package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 阶梯价格
 *
 * @author : Charles
 * @date : 2021/4/9
 */
@Data
public class LadderPriceVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer stock;

    private String unit;

    private Integer id;

    private Integer skuId;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 第几阶梯
     */
    private Integer ladderNum;
    /**
     * 购买数量
     */
    private Integer buyNum;
    /**
     * 购买价格
     */
    private Double buyPrice;
    /**
     * 下一阶数量
     */
    private Integer maxNum;
    /**
     * 显示数量 如：1~3
     */
    private String numRange;

}

