package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/21
 */
@Data
public class LiveVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 直播id
     */
    private Integer id;

    /**
     * 直播标题
     */
    private String liveTitle;

    /**
     * 首页图片
     */
    private String homePageImage;

    /**
     * 小程序内容宣传图
     */
    private String advertisingImage;

    /**
     * 直播链接
     */
    private String link;

    /**
     * 网站状态：0停用，1已启用
     */
    private String wwwValidFlag;

    /**
     * 小程序状态：0停用，1已启用
     */
    private String crmValidFlag;

    /**
     * 首页置顶位
     */
    private Integer topPosition;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 首页置顶位
     */
    private Integer liveStatus;

    /**
     * 删除标识：0未删除，1已删除
     */
    private String delFlag;

}
