package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/28
 */
@Data
public class MallActiveVo {
    /**
     * id
     */
    private Integer id;
    /**
     * 组织ID,具体对应cm_mall_organize表ID
     */
    private Integer organizeId;
    /**
     * 活动主题
     */
    private String topic;
    /**
     * 活动宣传图
     */
    private String image;
    /**
     * 状态 0停用 1启用
     */
    private String enabledStatus;
    /**
     * 活动类型 1商品列表 2宣传图（一张） 3宣传图（多张）
     */
    private String activeType;
    /**
     * 创建时间
     */
    private Date addTime;
    /**
     * 活动宣传图集合
     */
    private List<MallActiveImageVo> activeImageVos;
    /**
     * 活动商品集合
     */
    private List<MallOrganizeProductVo> products;
}
