package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/5/10
 */
@Data
public class MallFloorVo {

    private Integer id ;
    /**
     * 组织ID,具体对应cm_mall_organize表ID
     */
    private Integer organizeId;
    /**
     * 楼层标题
     */
    private String topic;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 状态 0停用 1启用
     */
    private Integer enabledStatus ;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 楼层商品
     */
    private List<MallOrganizeProductVo> products;
}
