package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/21
 */
@Data
public class PageImageVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer id;

    /**
     * 标题
     */
    private String title;

    /**
     * 链接
     */
    private String link;

    /**
     * APP链接
     */
    private String appLink;

    /**
     * 图片
     */
    private String image;

    /**
     * 商城首页图
     */
    private String homePageImage;

    /**
     * 小程序图片
     */
    private String appletsImage;

    /**
     * 小程序链接
     */
    private String appletsLink;

    /**
     * 小程序端状态
     */
    private String appletsEnabledStatus;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 类型1二级列表 ，2项目详情 ，3讲师轮播，4活动专区 , 5顶层广告, 6首页轮播 ,7小专题
     */
    private String type;

    /**
     * 状态 0停用 1启用
     */
    private String enabledStatus;

    /**
     * CRM端状态 0停用 1启用
     */
    private String crmEnabledStatus;

    /**
     * 活动开始时间
     */
    private String beginTime;

    /**
     * 活动开始时间
     */
    private String endTime;

    /**
     * 活动分类
     */
    private Integer actType;

    /**
     * 创建人
     */
    private Integer createBy;

    /**
     * 创建时间
     */
    private String createDate;

    /**
     * 最后更新人
     */
    private Integer updateBy;

    /**
     * 最后更新时间
     */
    private String updateDate;

    /**
     * 首页置顶位
     */
    private Integer topPosition;
    /**
     * 链接类型
     */
    private Integer linkType;
    /**
     * 链接参数
     */
    private Map<String, Object> linkParam;
}
