package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.sql.Date;

@Data
public class SearchFrequencyVo {
       private Integer  id ;
    /**
     * 数据来源（1：首页；2：信息中心）
     */
    private Integer fromSearch   ;
    /**
     * 关键词
     */
    private String  keyword ;
    /**
     * 关键词出现次数
     */
    private Integer  frequency ;
    /**
     * 搜索时间
     */
    private Date searchTime ;
    /**
     * 0:未加入关键词库；1：已加入关键词库
     */
    private Integer trueStatus;
    /**
     * 联动搜索次数
     */
    private Integer linkageFrequency;
}
