package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/14
 */
@Data
public class ShopImageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 供应商图片
     */
    private String image;
    /**
     * 链接
     */
    private String link;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * Pc端状态 0停用 1启用
     */
    private String wwwEnabledStatus;
    /**
     * CRM端状态 0停用 1启用
     */
    private String crmEnabledStatus;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建日期
     */
    private Date createDate;
    /**
     * 最后更新人
     */
    private String updateBy;
    /**
     * 最后更新时间
     */
    private Date updateDate;
    /**
     * 删除标记 0 否，其余是
     */
    private String delFlag;
    /** 链接类型 -1未知类型 1二级页面 2项目仪器 3直播页面 4自由页面 5商品详情 6项目仪器详情
     * 7供应商主页 8专题活动页 9二手市场介绍 10二手商品列表 11二手商品发布 12商品搜索 13信息详情
     * 14品牌招商介绍页 15维修保养介绍页 16首页 17注册页 18信息中心 19供应商列表*/
    private Integer linkType;
    /**
     * 链接包含的参数
     */
    private Map<String,Object> linkParam;
}
