package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/12
 */
@Data
public class SmallTypeVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer smallTypeId;
    /**
     * 一级分类Id
     */
    private Integer bigTypeId;

    /**
     * 名称
     */
    private String name;

    /**
     * 小分类编码
     */
    private String smallTypeCode;

    /**
     *  www启用标识，0停用，1启用
     */
    private String wwwValidFlag;

    /**
     *  crm启用标识，0停用，1启用
     */
    private String crmValidFlag;

    /**
     * www图标
     */
    private String wwwIcon;

    /**
     * 小程序图标
     */
    private String crmIcon;

    /**
     * 添加时间
     */
    private String addTime;

    /**
     * 排序值
     */
    private Integer sortIndex;
    /**
     * 三级菜单列表
     */
    private List<TinyTypeVo> tinyTypeList;

    /**
     * 是否选中标识
     */
    private Boolean isChecked;
}
