package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/9
 */
@Data
public class TaxVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 发票类型(基于是否含税基础)   1增值税票，2普通票, 3不能开票
     */
    private Integer invoiceType;
    /**
     * 是否含税   0不含税，1含税，2未知
     */
    private Integer includedTax;
    /**
     * 开票税点(基于不含税基础) :增值税默认13%，普通票6%取值范围[0-100]
     */
    private Double taxPoint;
}
