package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.PaginationVo;
import com.caimei365.commodity.model.vo.ProductItemVo;

/**
 * zzj 2021/9/17
 * @author zzj
 */
public interface UserLikeService {
    /**
     * 收藏
     * @param userId
     * @param productId
     * @return
     */
    ResponseJson<String> likeOne(Integer userId, Integer productId);

    /**
     * 收藏列表
     * @param userId
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<ProductItemVo>> findLikeList(Integer userId, int pageNum, int pageSize);

    /**
     * 批量移除收藏商品
     * @param userId
     * @param productIds
     * @return
     */
    ResponseJson<String> deleteList(Integer userId, String productIds);
}
