package com.caimei365.commodity.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/23
 */
@Data
public class BrandDto implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("品牌id")
    private Integer id;
    /**
     * 品牌名字
     */
    @ApiModelProperty("品牌名字")
    private String name;
    /**
     * 添加来源 0:后台添加 ,1:供应商添加
     */
    @ApiModelProperty("添加来源 0:后台添加，1:供应商添加")
    private Integer source;
    /**
     * 添加用户ID,后台则为后台用户ID,供应商则为供应商用户ID
     */
    @ApiModelProperty("用户id")
    private Integer userId;
    /**
     * 品牌logo
     */
    @ApiModelProperty("品牌logo")
    private String logo;
    /**
     * 品牌描述
     */
    @ApiModelProperty("品牌描述")
    private String description;

}
