package com.caimei365.commodity.model.dto;

import com.caimei365.commodity.model.po.ProcurePo;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/26
 */
@Data
public class ProcurementDto implements Serializable {
    /**
     * id
     */
    private String id;
    /**
     * 集采Id
     */
    private String sId;
    /**
     * 发布人Id
     */
    private String userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 期望单价
     */
    private String price;
    /**
     * 购买数量
     */
    private String number;
    /**
     * 创建时间
     */
    private String saveTime;
    /**
     * 创建人Id
     */
    private String createUserId;
    /**
     * 参与机构数
     */
    private Integer partNumber;
    /**
     * 是否实现 0 以实现 1 未实现
     */
    private String isAchieve;
    /**
     * 是否参与集采 0未参与 1参与 2我创建的
     */
    private Integer isInvolved;
    /**
     * 是否删除 0 未删除 其他删除
     */
    private String delFlag;
    /**
     * 参与集采对象
     */
    ProcurePo procurePo;
}
