package com.caimei365.commodity.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/11
 */
@ApiModel("商品销量")
@Data
public class ProductSalesDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 商品信息：[ // 商品id，数量
     *         {"productId": 2789, "productCount": 1},
     *         {"productId": 2790, "productCount": 2}
     *         ]
     */
    @ApiModelProperty("商品信息[{\"productId\": 2789, \"productCount\": 1},{}]")
    private String productInfo;
}
