package com.caimei365.commodity.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/23
 */
@Data
public class SoldOutDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 商品id集合,以','隔开
     */
    @ApiModelProperty("商品id集合,以','隔开")
    private String productIds;
    /**
     * 上架平台类型 0 全部 1采美 2 联合丽格
     */
    @ApiModelProperty("上架平台类型")
    private Integer groundMallType;
}

