package com.caimei365.commodity.model.po;

import com.caimei365.commodity.model.vo.ArchiveContentVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/9/9
 */
@ApiModel("商品资料文件")
@Data
public class ArchiveFilePo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 文件oss链接
     */
    private String fileUrl;
    /**
     * oss名称
     */
    private String ossName;
    /**
     * 上传时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date uploadTime;
}
