package com.caimei365.commodity.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/12/16
 */
@Data
public class HeheCollageProductPo implements Serializable {

    private Integer skuId;
    /**
     * 呵呵商城商品id
     */
    private Integer productId;

    /**
     * 拼团价格
     */
    private BigDecimal price;

    /**
     * 单人限购量
     */
    private Integer limitedNum;

    /**
     * 不限购买量标识：1不限制，0限制
     */
    private Integer unlimitedFlag;

    /**
     * 拼团人数
     */
    private Integer memberNum;
}
