package com.caimei365.commodity.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/22
 */
@Data
public class ProductDetailInfoPo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer productDetailInfoId;
    /**
     * 商品Id
     */
    private Integer productId;
    /**
     * 资质机构商品详情信息
     */
    private String detailInfo;
    /**
     * 普通机构商品详情信息
     */
    private String commonDetailInfo;
    /**
     * 服务详情
     */
    private String serviceInfo;
    /**
     * 订购方案
     */
    private String orderInfo;

    private String propValueAlias;

    private String propValueImages;

    private String detailInfoTxt;

    private String seoTitle;

    private String seoKeyword;

    private String seoDes;
}
