package com.caimei365.commodity.model.search;

import lombok.Data;

import java.io.Serializable;

/**
 * 文章列表
 *
 * @author : Charles
 * @date : 2021/4/8
 */
@Data
public class ArticleListVo implements Serializable {
    /** 阿里云索引Id */
    private Integer mainId;
    /** 文章ID */
    private Integer articleId;
    /** 文章标题 */
    private String title;
    /** 文章主图 */
    private String image;
    /** 文章作者 */
    private String publisher;
    /** 发布日期 */
    private String publishDate;
    /** 文章摘要 */
    private String intro;
    /** 文章内容 */
    private String content;
    /** 浏览量 */
    private Integer pv;
    /** 信息分类Id */
    private Integer typeId;
    /** 信息分类文本 */
    private String typeText;
    /** 标签 id数组 */
    private String labelIds;
    /** 标签 文本数组 */
    private String labelText;

    private static final long serialVersionUID = 1L;
}
