package com.caimei365.commodity.model.search;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 供应商列表
 *
 * @author : Charles
 * @date : 2021/4/8
 */
@Data
public class ShopListVo implements Serializable {
    /** 阿里云索引Id */
    private Integer mainId;
    /** 供应商Id */
    private Integer shopId;
    /** 名称name */
    private String name;
    /** 供应商logo */
    private String logo;
    /** 供应商牌照 */
    private String license;
    /** 经营品项 */
    private String business;
    /** 所在省市地址 */
    private String address;
    /** 供应商下商品 */
    private List<ProductListVo> products;

    private static final long serialVersionUID = 1L;
}
