package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 售后无忧,购物须知
 *
 * @author : Charles
 * @date : 2021/10/20
 */
@Data
public class AfterSaleVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer id;

    /**
     * 组织名称
     */
    private String organizeName;

    /**
     * 组织联系人
     */
    private String organizeLinkName;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 联系我们，手机或者座机号码
     */
    private String contactNumber;

    /**
     * 后台系统名称
     */
    private String systemName;

    /**
     * 后台系统图标
     */
    private String systemImage;

    /**
     * 关于我们:组织介绍信息
     */
    private String introduction;

    /**
     * 售后无忧
     */
    private String afterSale;

    /**
     * 购物须知
     */
    private String shoppingNotes;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 添加时间
     */
    private Date addTime;

    /**
     *  0 有效  其它无效
     */
    private String delFlag;
}
