package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.sql.Timestamp;

@Data
public class CmBaikeReferenceInfo {
    private Integer id;
    /**
     * 参考类型资料（1.网络；2.著作；3.其他）
     */
    private Integer referenceType;
    /**
     * 网址
     */
    private String website;
    /**
     * 文章名字
     */
    private String articleName;
    /**
     * 网址名称
     */
    private String websiteName;
    /**
     * 发表时间
     */
    private Timestamp publishTime;

    /**
     * 发表时间
     */
    private String publishTimeStr;

    /**
     * 引文时间
     */
    private Timestamp acitationTime;

    /**
     * 引文时间
     */
    private String acitationTimeStr;
    /**
    /**
     * 作者
     */
    private String author;
    /**
     * 著作名
     */
    private String workName;
    /**
     * 出版地
     */
    private String publicationPlace;
    /**
     * 出版社
     */
    private String press;
    /**
     * 出版年
     */
    private Timestamp publicationYear;

    /**
     * 出版年
     */
    private String publicationYearStr;
    /**
     * 引文页码
     */
    private String acitationWeb;
    /**
     * 参考资料说明
     */
    private String referenceDescription;
    /**
     * 图片描述
     */
    private String imageDescription;
    /**
     * 图片地址
     */
    private String imageUrl;
    /**
     * 词条id
     */
    private Integer entryId;
    /**
     * 词条内容（1：义项名；2：词条概述；3：信息栏；4：正文）
     */
    private String entryType;
    /**
     * 1：添加；2编辑
     */
    private String flagId;
    /**
     * 资料id用于前端传值修改
     */
    private String  zlId;
    /**
     * 关联id
     */
    private String ctrlId;
}
