package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/12
 */
@Data
public class FloorImageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 楼层id
     */
    private Integer floorId;

    /**
     * 分页详情楼层id
     */
    private Integer centreId;

    /**
     * 商品id
     */
    private Integer productId;

    /**
     * 名称
     */
    private String name;

    /**
     * 宣传内容
     */
    private String content;

    /**
     * 跳转链接
     */
    private String link;

    /**
     * 图片
     */
    private String image;

    /**
     * 小程序图片
     */
    private String appletsImage;

    /**
     * 小程序内容宣传图
     */
    private String adsImage;

    /**
     * 标签
     */
    private String label;

    /**
     * Pc端状态 0不启用 1启用
     */
    private String pcStatus;

    /**
     * 小程序状态 0不启用 1启用
     */
    private String appletsStatus;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 展示日期排序值
     */
    private Integer displaySort;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 商品信息
     */
    private ProductItemVo product;

    private List<ProductItemVo> products;

    /**
     * 呵呵商品信息
     */
    private HeheProductVo heheProduct;

    /**
     * 区分商品和二级列表,1 商品 2 二级列表
     */
    private Integer listType;

    /**
     * 区分商品和二级列表,1 商品 2 二级列表
     */
    private Integer linkType;

    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam;


}
