package com.caimei365.commodity.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/27
 */
@Data
public class HeHeActivityVo implements Serializable {
    /**
     * 活动id
     */
    private Integer activityId;

    /**
     * 活动名称
     */
    private String name;

    /**
     * 小程序列表缩略图
     */
    private String listImage;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date beginTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;

    /**
     * 商品数量
     */
    private Integer productCount;

}
