package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * cm_hehe_image:呵呵商城轮播图
 *
 * @author
 */
@Data
public class HeHeImageVo implements Serializable {

    /**
     * 主题
     */
    private String topic;

    /**
     * 轮播图
     */
    private String image;

    /**
     * 跳转类型：1链接，2商品，3图片
     */
    private Integer jumpType;

    /**
     * 跳转链接
     */
    private String jumpLink;

    /**
     * 跳转商品id
     */
    private String jumpProductId;

    /**
     * 跳转图片
     */
    private String jumpImage;

    /** 链接类型 -1未知类型 */
    private Integer linkType;
    /**
     * 链接包含的参数
     */
    private Map<String,Object> linkParam;

    private static final long serialVersionUID = 1L;
}