package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * 图片链接
 *
 * @author : Charles
 * @date : 2021/4/9
 */
@Data
public class ImageLinkVo implements Serializable {
    private static final long serialVersionUID = 1L;

	private Integer id;
	private Integer status;
	private String title;
	private String detail;
	private String link;
	/** 小程序链接 */
	private String crmLink;
	/** 小程序标题 */
	private String crmTitle;
	/** 小程序图片 */
	private String crmImage;
	private String image;
	private String appletsImage;
	/** 活动开始时间 */
	private Date beginTime;
	/** 活动开始时间 */
	private Date endTime;
	/** 链接类型 -1未知类型 1二级页面 2项目仪器 3直播页面 4自由页面 5商品详情 6项目仪器详情
	 * 7供应商主页 8专题活动页 9二手市场介绍 10二手商品列表 11二手商品发布 12商品搜索 13信息详情
	 * 14品牌招商介绍页 15维修保养介绍页 16首页 17注册页 18信息中心 19供应商列表*/
	private Integer linkType;
    /**
     * 链接包含的参数
     */
    private Map<String,Object> linkParam;

}

