package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/21
 */
@Data
public class InfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 信息分类
     */
    private Integer typeId;

    /**
     * 标题
     */
    private String title;

    /**
     * 信息标签
     */
    private String label;

    /**
     * 发布人
     */
    private String publisher;

    /**
     * 来源
     */
    private String source;

    /**
     * 关键字
     */
    private String keyword;

    /**
     * 推荐语
     */
    private String recommendContent;

    /**
     * 信息内容
     */
    private String infoContent;

    /**
     * 引导图
     */
    private String guidanceImage;

    /**
     * 商城首页图
     */
    private String homePageImage;

    /**
     * 发布时间
     */
    private String pubdate;

    /**
     * 推荐状态 0停用 1启用
     */
    private String recommendStatus;

    /**
     * 启用/禁用状态
     */
    private String enabledStatus;

    /**
     * 基础点赞
     */
    private Integer basePraise;

    /**
     * 基础浏览量
     */
    private Integer basePv;

    /**
     * 优先级
     */
    private Integer priorityIndex;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private String createDate;

    /**
     * 最后更新人
     */
    private String updateBy;

    /**
     * 最后更新时间
     */
    private String updateDate;

    /**
     * 置顶位
     */
    private Integer topPosition;
    /**
     * 文章链接
     */
    private String link;
    /**
     * 链接类型
     */
    private Integer linkType;
    /**
     * 链接参数
     */
    private Map<String, Object> linkParam;
}
