package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 * 外部商城小程序首页轮播图表
 * @author : Charles
 * @date : 2023/4/27
 */
@Data
public class MallImageLinkVo implements Serializable {

    /**
     * id
     */
    private Integer id;
    /**
     * 组织ID,具体对应cm_mall_organize表ID
     */
    private Integer organizeId;
    /**
     * banner名称
     * @return
     */
    private String bannerName;
    /**
     * banner图
     */
    private String bannerImage;
    /**
     * 排序
     */
    private Integer sort;

    /**
     * 跳转类型 1商品详情 2活动列表
     * @return
     */
    private Integer jumpType;
    /**
     * 跳转商品Id
     */
    private Integer jumpProductId;
    /**
     * 跳转活动Id
     */
    private String jumpActiveId;

    /**
     * 状态 0停用 1启用
     * @return
     */
    private String enabledStatus;
    /**
     * 创建时间
     */
    private Date addTime;
    /**
     * 最后更新时间
     */
    private Date updateTime;
}
