package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.util.Date;

/**
 * Description
 * 外部商城小程序专题活动表
 * @author : Charles
 * @date : 2023/4/27
 */
@Data
public class MallThemeVo {
    /**
     * id
     */
    private Integer id;
    /**
     * 组织ID,具体对应cm_mall_organize表ID
     */
    private Integer organizeId;
    /**
     * 专题活动主题
     */
    private String topic;
    /**
     * 专题活动banner图
     */
    private String image;
    /**
     * 状态0停用 1启用
     */
    private String enabledStatus;
    /**
     * 跳转类型 1商品详情 2活动列表
     */
    private Integer jumpType;
    /**
     * 跳转商品Id
     */
    private Integer jumpProductId;
    /**
     * 跳转活动Id
     */
    private Integer jumpActiveId;
    /**
     * 创建时间
     */
    private Date addTime;
}
