package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/7/7
 */
@Data
public class MessageCenter implements Serializable {

    /**
    *消息id
     */
    private Integer id;
    /**
    供应商id
     */
    private Integer shopID;
    /**
    机构id
     */
    private Integer clubID;
    /**
   用户类型1.机构2.供应商
     */
    private Integer userType;
    /**
     消息类型1.交易物流2.账户通知3.服务通知4.优惠促销
     */
    private Integer messageType;
    /**
     * 消息内容
     */
    private String content;
    /**
     * 操作完成时间
     */
    private String time;
    /**
     *账户通知类型 1.注册成功通知 2.购买超级会员成功 3.超级会员到期提醒 4.超级会员到期提醒 5.升级资质机构成功 6.升级资质机构失败 7.成为机构运营人员通知
     */
    private Integer accountType;
    /**
     * 优惠券类型 1.优惠券待领取通知 2.优惠券过期通知
     */
    private Integer couponType;
    /**
     * 优惠券金额
     */
    private Double couponFee;
}
