package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/11
 */
@Data
public class ProductSalesVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer id;
    /**
     * 商品ID
     */
    private Integer productId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 销量
     */
    private Integer productCount;
    /**
     * 分类 ‘-’分割
     */
    private String property;
    /**
     * 商品属性：1产品，2仪器
     */
    private Integer commodityType;
    /**
     * 一级分类ID
     */
    private Integer bigTypeId;
    /**
     * 二级分类Id
     */
    private Integer smallTypeId;
    /**
     * 三级分类Id
     */
    private Integer tinyTypeId;

    @Override
    public String toString() {
        return "ProductSalesVo{" +
                "productId=" + productId +
                ", productName='" + productName + '\'' +
                ", shopName='" + shopName + '\'' +
                ", productCount=" + productCount +
                ", property='" + property + '\'' +
                '}';
    }
}
