package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Aslee
 */
@Data
public class StatementFileVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 对应cm_brand_auth表id
     */
    private Integer brandAuthId;

    /**
     * 声明文件名称
     */
    private String name;

    /**
     * oss存储名
     */
    private String ossName;

    /**
     * 文件唯一标识
     */
    private String md5Hex;

    /**
     * 上传时间
     */
    private Date uploadTime;

    /**
     * 访问声明文件链接
     */
    private String url;
}
