package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/12
 */
@Data
public class TinyTypeVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer tinyTypeId;
    /**
     * 二级分类Id
     */
    private Integer smallTypeId;
    /**
     * 名称
     */
    private String name;
    /**
     * 细分类编码
     */
    private String tinyTypeCode;
    /**
     *  www启用标识，0停用，1启用
     */
    private String wwwValidFlag;

    /**
     *  crm启用标识，0停用，1启用
     */
    private String crmValidFlag;

    /**
     * www图标
     */
    private String wwwIcon;

    /**
     * 小程序图标
     */
    private String crmIcon;

    /**
     * 添加时间
     */
    private String addTime;

    /**
     * 排序值
     */
    private Integer sortIndex;
    /**
     * 是否选中标识
     */
    private Boolean isChecked;

}
